Bug 1032887 - rhts-sync-block spams beah log file with "Failure: twisted.python.failure.DefaultException: Timeout"
rhts-sync-block spams beah log file with "Failure: twisted.python.failure.Def...
Status: NEW
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
0.10
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
Misc
: Triaged
Depends On: 894159
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 02:21 EST by Nick Coghlan
Modified: 2018-02-22 01:21 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 894159
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-11-21 02:21:15 EST
rhts-sync-block runs a polling loop to check if other hosts are ready. The internal timeouts within the polling loop are suppressed in rhts-sync-block itself, but still create a lot of noise in the beah log.

This also means that the "/debug/task_beah_unexpected" file will always be uploaded for tasks using rhts_sync_block.

+++ This bug was initially created as a clone of Bug #894159 +++

Description of problem:
In multihost testing, server side does:
    rhts-sync-set -s READY
    rhts-sync-block -s DONE $CLIENTS

and for the whole test run rhts generates following messages on console and in logs: 

(RHEL7)
rhts-sync-block: <Fault 8002: 'error'> 
2013-01-10 15:57:11,250 rhts_task.twisted emit: ERROR Unhandled Error 
Traceback (most recent call last): 
Failure: twisted.python.failure.DefaultException: Timeout
...

(RHEL6)
rhts-sync-block: <Fault 8002: 'error'>
...

--- Additional comment from Nick Coghlan on 2013-11-12 16:10:12 EST ---

I started on a patch that changes the beah XML-RPC API to allow rhts to pass the timeout through to the beah XML-RPC server rather than having to poll locally:

Draft rhts change: http://gerrit.beaker-project.org/#/c/2455/
Draft beah XML-RPC API change: http://gerrit.beaker-project.org/#/c/2454/

--- Additional comment from Dan Callaghan on 2013-11-13 14:46:22 EST ---

(In reply to Nick Coghlan from comment #8)
> I started on a patch that changes the beah XML-RPC API to allow rhts to pass
> the timeout through to the beah XML-RPC server rather than having to poll
> locally:
> 
> Draft rhts change: http://gerrit.beaker-project.org/#/c/2455/
> Draft beah XML-RPC API change: http://gerrit.beaker-project.org/#/c/2454/

There are a few additional complexities to this approach (moving the timeout to beah's fake RHTS XMLRPC server) which means it may not be worthwhile.

This patch just suppresses all XMLRPC faults in rhts-sync-block, under the assumption that they are timeouts:

http://gerrit.beaker-project.org/2485

but this still leaves the "Timeout" errors being spewed on the RHTS side, like this:

Traceback (most recent call last): 
Failure: twisted.python.failure.DefaultException: Timeout

Note You need to log in before you can comment on or make changes to this bug.